Summary: smeserver module to control squid cache
%define name smeserver-squid_cache_mgt
Name: %{name}
%define version 1.0
%define release 2
Version: %{version}
Release: %{release}%{?dist}
License: Freely distributable
Group: Backup/Daemons
Source: %{name}-%{version}.tar.gz
#Patch0: %{name}-%{version}.patch.yyyymmddnn
BuildRoot: /var/tmp/e-smith-buildroot
BuildRequires: e-smith-devtools
BuildArchitectures: noarch
Requires: smeserver-release >= 6
AutoReqProv: no

%changelog
* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Mon Sep 25 2006 Michel Van hees <michel@vanhees.cc>
- Bug correctoion in SPEC file

* Mon Aug 28 2006 Michel Van hees <michel@vanhees.cc>
- RePackage to fit smeserver 7 notation

* Sat Dec 18 2003 Michel Van hees <mvanhees@vanhees.homeip.net>
- initial release

%description
smeserver module to control size of cache for squid

%prep
%setup
#%patch0 -p1
#%patch1 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%pre
%preun
%post
/sbin/e-smith/db configuration set squidCache configuration
/sbin/e-smith/db configuration setprop squidCache squidSize 100
/sbin/e-smith/db configuration setprop squidCache squidPath /var/spool/squid
/sbin/e-smith/db configuration setprop squidCache squidType ufs
/sbin/e-smith/db configuration setprop squidCache squidMaxObj 3
/sbin/e-smith/db configuration setprop squidCache squidMaxType KB
/sbin/e-smith/db configuration setprop squidCache squidFirstLevel 16
/sbin/e-smith/db configuration setprop squidCache squidSecondLevel 256
/etc/e-smith/events/actions/navigation-conf > /dev/null 2>&1
echo Install completed

%postun
/sbin/e-smith/db configuration delete squidCache
/sbin/e-smith/expand-template /etc/squid/squid.conf
/etc/e-smith/events/actions/navigation-conf > /dev/null 2>&1
/etc/rc.d/rc7.d/S90squid restart

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
